Bug 633149 - (CVE-2010-3296) CVE-2010-3296 kernel: drivers/net/cxgb3/cxgb3_main.c reading uninitialized stack memory
CVE-2010-3296 kernel: drivers/net/cxgb3/cxgb3_main.c reading uninitialized st...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
reported=20100913,source=lkml,impact=...
: Security
Depends On: 633150 633151 633152 633153 633154 633155 633156 633157
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-13 00:06 EDT by Eugene Teo (Security Response)
Modified: 2015-08-31 23:55 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2010-09-13 00:06:21 EDT
Description of problem:
http://lkml.org/lkml/2010/9/11/170
The CHELSIO_GET_QSET_NUM device ioctl allows unprivileged users to read 4 bytes of uninitialized stack memory, because the "addr" member of the ch_reg struct declared on the stack in cxgb_extension_ioctl() is not altered or zeroed before being copied back to the user.

Acknowledgements:

Red Hat would like to thank Dan Rosenberg for reporting this issue.
Comment 2 John Kacur 2010-09-17 08:49:21 EDT
This commit
49c37c0334a9b85d30ab3d6b5d1acb05ef2ef6de
in David Miller's net-2.6 git repo
Comment 3 errata-xmlrpc 2011-01-13 16:17:20 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 4 errata-xmlrpc 2011-01-14 04:02:41 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0017 https://rhn.redhat.com/errata/RHSA-2011-0017.html
Comment 5 Eugene Teo (Security Response) 2011-01-31 20:30:46 EST
Upstream commit:
http://git.kernel.org/linus/49c37c0334a9b85d30ab3d6b5d1acb05ef2ef6de
Comment 6 errata-xmlrpc 2011-04-07 22:57:54 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0421 https://rhn.redhat.com/errata/RHSA-2011-0421.html

Note You need to log in before you can comment on or make changes to this bug.